#ifndef LBX_H_
#define LBX_H_

#include <stddef.h>

/* Errors */
enum {
	LBX_ESUCCESS,
	LBX_EMAGIC,
	LBX_EEOF,
};
extern int lbx_errno;

/* Opaque */
typedef struct lbx_state LBX;

/* File operations */
LBX   *lbx_fopen(FILE *);
LBX   *lbx_open(const char *);
void   lbx_close(LBX *);
size_t lbx_numfiles(LBX *);

/* Misc operations */
const char *lbx_strerror(void);

#endif
